Skip to content

Number Porting

All operations require authentication.

16 operationsv1/telephony/{billingAccount}
Agent setup

List number portingsProduction

GET
/1.0/telephony/{billingAccount}/portability

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200integer[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/portability \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a number portingProduction

GET
/1.0/telephony/{billingAccount}/portability/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

The ID of the portability

Response

200Portabilitysuccessful operation
billingAccount
read-only
string

The billing account where the numbers will be inserted

creationDate
read-only
stringdate-time

The portability's creation date

customerInfos
read-only
PortabilityCustomerInfos

Customer informations about this portability

desiredExecutionDate
read-only
stringdate-time

The date when the portability will be done and when numbers will be ported

error
read-only
boolean

Indicates that portability is in error

errorCodes
read-only
string[]

Codes representing the error in current portability

id
read-only
integer

The ID of the portability

lineToRedirectTo
read-only
string

Show the redirection that will be configured when the portability will be done

numbersList
read-only
string[]

The list of numbers that is going to be ported

operator
read-only
string

The operator that currently holds the numbers

orderId
read-only
integer

The ID of the portability order

portabilityCountry
read-only
PortabilityCountryEnum

Country that defines the portability kind

Valuesbelgiumfranceswitzerland
rio
read-only
string

RIO of the portability (France only)

Example uses billingAccount = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/portability/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "billingAccount": "string", "creationDate": "2024-01-01T12:00:00Z", "customerInfos": { "building": "string", "city": "string", "door": "string", "floor": "string", "name": "string", "siret": "string", "stair": "string", "streetName": "string", "streetNumber": "string", "zip": "string" }, "desiredExecutionDate": "2024-01-01T12:00:00Z", "error": true, "errorCodes": [ "string" ], "id": 0, "lineToRedirectTo": "string", "numbersList": [ "string" ], "operator": "string", "orderId": 0, "portabilityCountry": "belgium", "rio": "string"}

Check if the porting can be canceledProduction

GET
/1.0/telephony/{billingAccount}/portability/{id}/canBeCancelled

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

The ID of the portability

Response

200booleansuccessful operation

Example uses billingAccount = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/portability/{id}/canBeCancelled \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

Check if the porting can be executedProduction

GET
/1.0/telephony/{billingAccount}/portability/{id}/canBeExecuted

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

The ID of the portability

Response

200booleansuccessful operation

Example uses billingAccount = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/portability/{id}/canBeExecuted \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

Cancel the portingProduction

POST
/1.0/telephony/{billingAccount}/portability/{id}/cancel

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

The ID of the portability

Request body (required)

reason
string

The cancellation reason

Response

200—successful operation

Example uses billingAccount = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/portability/{id}/cancel \
  -H "authorization: Bearer $OVH_TOKEN"

Change the porting dateProduction

POST
/1.0/telephony/{billingAccount}/portability/{id}/changeDate

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

The ID of the portability

Request body (required)

date
required
stringdate-time

The proposed portability due date

Response

200—successful operation

Example uses billingAccount = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/portability/{id}/changeDate \
  -H "authorization: Bearer $OVH_TOKEN"

Check if the porting date can changeProduction

GET
/1.0/telephony/{billingAccount}/portability/{id}/dateCanBeChanged

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

The ID of the portability

Response

200booleansuccessful operation

Example uses billingAccount = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/portability/{id}/dateCanBeChanged \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

List porting documentsProduction

GET
/1.0/telephony/{billingAccount}/portability/{id}/document

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

The ID of the portability

Response

200integer[]successful operation

Example uses billingAccount = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/portability/{id}/document \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a porting documentProduction

GET
/1.0/telephony/{billingAccount}/portability/{id}/document/{documentId}

Path parameters

billingAccount
required
string

The name of your billingAccount

documentId
required
integer

Identifier of the document

id
required
integer

The ID of the portability

Response

200PortabilityDocumentsuccessful operation
description
string

Description of the document

documentId
read-only
integer

Identifier of the document

getUrl
read-only
string

URL to get document

name
string

Name of the document

putUrl
read-only
string

URL to upload document

size
read-only
integer

Document size (in bytes)

Example uses billingAccount = string, documentId = 0, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/portability/{id}/document/{documentId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "documentId": 0, "getUrl": "string", "name": "string", "putUrl": "string", "size": 0}

Create a porting documentProduction

POST
/1.0/telephony/{billingAccount}/portability/{id}/document

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

The ID of the portability

Request body (required)

description
string

Description of the document

name
required
string

Document's name

Response

200PortabilityDocumentsuccessful operation
description
string

Description of the document

documentId
read-only
integer

Identifier of the document

getUrl
read-only
string

URL to get document

name
string

Name of the document

putUrl
read-only
string

URL to upload document

size
read-only
integer

Document size (in bytes)

Example uses billingAccount = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/portability/{id}/document \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "documentId": 0, "getUrl": "string", "name": "string", "putUrl": "string", "size": 0}

Delete a porting documentProduction

DELETE
/1.0/telephony/{billingAccount}/portability/{id}/document/{documentId}

Path parameters

billingAccount
required
string

The name of your billingAccount

documentId
required
integer

Identifier of the document

id
required
integer

The ID of the portability

Response

200—successful operation

Example uses billingAccount = string, documentId = 0, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/portability/{id}/document/{documentId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a porting documentProduction

PUT
/1.0/telephony/{billingAccount}/portability/{id}/document/{documentId}

Path parameters

billingAccount
required
string

The name of your billingAccount

documentId
required
integer

Identifier of the document

id
required
integer

The ID of the portability

Request body (required)

description
string

Description of the document

documentId
read-only
integer

Identifier of the document

getUrl
read-only
string

URL to get document

name
string

Name of the document

putUrl
read-only
string

URL to upload document

size
read-only
integer

Document size (in bytes)

Response

200—successful operation

Example uses billingAccount = string, documentId = 0, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/portability/{id}/document/{documentId} \
  -H "authorization: Bearer $OVH_TOKEN"

Execute the portingProduction

POST
/1.0/telephony/{billingAccount}/portability/{id}/execute

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

The ID of the portability

Response

200—successful operation

Example uses billingAccount = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/portability/{id}/execute \
  -H "authorization: Bearer $OVH_TOKEN"

Check if the porting can be relaunchedProduction

GET
/1.0/telephony/{billingAccount}/portability/{id}/relaunch

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

The ID of the portability

Response

200PortabilityFixErrorPossibleParameterssuccessful operation
mandatoryParameters
string[]

Mandatory parameter list

optionalParameters
string[]

Optional parameter list

Example uses billingAccount = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/portability/{id}/relaunch \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "mandatoryParameters": [ "string" ], "optionalParameters": [ "string" ]}

Relaunch the portingProduction

POST
/1.0/telephony/{billingAccount}/portability/{id}/relaunch

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

The ID of the portability

Request body (required)

parameters
required
SafeKeyValue_string[]

List of parameters to use to fix error

Response

200—successful operation

Example uses billingAccount = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/portability/{id}/relaunch \
  -H "authorization: Bearer $OVH_TOKEN"

Get the porting statusProduction

GET
/1.0/telephony/{billingAccount}/portability/{id}/status

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

The ID of the portability

Response

200PortabilityStep[]successful operation
description
string

A brief description of the step

doneDate
stringdate-time

The date when this step was done

duration
PortabilityStepDuration

The theoric delay between the previous step's done date and this step's done date

infos
PortabilityStepInfos

Additional informations about the step

name
PortabilityStepNameEnum

The name of the portability step

ValuesacknowledgmentReceivedFromOperatorbelgiumPortabilityRequestCreatedbelgiumPortabilityRequestExecutionAckedbelgiumPortabilityRequestExecutionAskedbelgiumPortabilityRequestExecutionCompletedbelgiumPortabilityRequestValidatedbelgiumPortabilityRequestWaitingUntilExeccustomerFormReceivedcustomerFormSentcustomerFormValidatedfinalReportReceivedFromOperatorintermediateReportReceivedFromOperatornumberActivationrequestSentToOperatorsDASequenceReceivedFromOperator
status
PortabilityStepStatusEnum

Indicates if the step is to do, currently doing or done

Valuescancelleddoingdoneerrorholdtodo

Example uses billingAccount = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/portability/{id}/status \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "description": "string", "doneDate": "2024-01-01T12:00:00Z", "duration": { "quantity": 0, "unit": "NA" }, "infos": { "lastProposedDate": "2024-01-01T12:00:00Z", "reason": "string", "reasonType": "string" }, "name": "acknowledgmentReceivedFromOperator", "status": "cancelled" }]